Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.reliability
Class WsrmSequenceSender

    java.lang.Object
      weblogic.wsee.reliability.WsrmSequenceSender

Deprecated. 9.2.0.0 WARNING: This class is meant for WLS internal use only. Customers are strong discouraged against using this class.

    public final class WsrmSequenceSender

extends Object

This class handles sending SOAP messages through the wire.

Constructor Summary
`WsrmSequenceSender()` Deprecated.

Method Summary
`static void` | `acknowledge(String sequenceId, List numbers, weblogic.wsee.addressing.EndpointReference acksTo, WsrmSequenceContext seqCtx, boolean soap12)` Deprecated.
`static weblogic.wsee.reliability.headers.AcknowledgementHeader` | `ackRequest(weblogic.messaging.saf.SAFConversationInfo info)` Deprecated.
`static weblogic.messaging.saf.SAFConversationHandle` | `createSequence(weblogic.messaging.saf.SAFConversationInfo info)` Deprecated. Create a sequence.
`static void` | `send(weblogic.messaging.saf.SAFConversationInfo info, weblogic.messaging.saf.SAFRequest request)` Deprecated.
`static void` | `sendFault(String sequenceId, weblogic.wsee.addressing.EndpointReference faultTo, weblogic.wsee.reliability.faults.SequenceFaultMsg fault, boolean soap12)` Deprecated.
`static void` | `terminateSequence(weblogic.messaging.saf.SAFConversationInfo info)` Deprecated. Terminate a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsrmSequenceSender

    public WsrmSequenceSender()

  Deprecated.

Method Detail

### send

    public static void send(weblogic.messaging.saf.SAFConversationInfo info,
                            weblogic.messaging.saf.SAFRequest request)
                     throws weblogic.messaging.saf.SAFTransportException

  Deprecated.
  Throws:
    `weblogic.messaging.saf.SAFTransportException`

### ackRequest

    public static weblogic.wsee.reliability.headers.AcknowledgementHeader ackRequest(weblogic.messaging.saf.SAFConversationInfo info)
                                                                              throws weblogic.messaging.saf.SAFTransportException

  Deprecated.
  Throws:
    `weblogic.messaging.saf.SAFTransportException`

### createSequence

    public static weblogic.messaging.saf.SAFConversationHandle createSequence(weblogic.messaging.saf.SAFConversationInfo info)
                                                                       throws weblogic.messaging.saf.SAFTransportException

  Deprecated.
  Create a sequence.

  Throws:
    `weblogic.messaging.saf.SAFTransportException`

### terminateSequence

    public static void terminateSequence(weblogic.messaging.saf.SAFConversationInfo info)
                                  throws weblogic.messaging.saf.SAFTransportException

  Deprecated.
  Terminate a sequence.

  Throws:
    `weblogic.messaging.saf.SAFTransportException`

### acknowledge

    public static void acknowledge(String sequenceId,
                                   List numbers,
                                   weblogic.wsee.addressing.EndpointReference acksTo,
                                   WsrmSequenceContext seqCtx,
                                   boolean soap12)
                            throws weblogic.messaging.saf.SAFTransportException,
                                   weblogic.messaging.saf.SAFException

  Deprecated.
  Throws:
    `weblogic.messaging.saf.SAFTransportException`
    `weblogic.messaging.saf.SAFException`

### sendFault

    public static void sendFault(String sequenceId,
                                 weblogic.wsee.addressing.EndpointReference faultTo,
                                 weblogic.wsee.reliability.faults.SequenceFaultMsg fault,
                                 boolean soap12)
                          throws weblogic.messaging.saf.SAFTransportException

  Deprecated.
  Throws:
    `weblogic.messaging.saf.SAFTransportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD